/* 之前做的被弄亂了，只好另外再加一個新的 */
.form-group {
    margin-bottom: 5px;
}

.required-star {
    color: red;
}

.form-horizontal .control-label.text-left{
    text-align: left;
}

/* btn-purple start Tommy add*/
.btn-purple { 
  color: #FFFFFF; 
  background-color: #9B59B6; 
  border-color: #9B59B6; 
} 
 
.btn-purple:hover, 
.btn-purple:focus, 
.btn-purple:active, 
.btn-purple.active, 
.open .dropdown-toggle.btn-purple { 
  color: #FFFFFF; 
  background-color: #8E44AD; 
  border-color: #9B59B6; 
} 
 
.btn-purple:active, 
.btn-purple.active, 
.open .dropdown-toggle.btn-purple { 
  background-image: none; 
} 
 
.btn-purple.disabled, 
.btn-purple[disabled], 
fieldset[disabled] .btn-purple, 
.btn-purple.disabled:hover, 
.btn-purple[disabled]:hover, 
fieldset[disabled] .btn-purple:hover, 
.btn-purple.disabled:focus, 
.btn-purple[disabled]:focus, 
fieldset[disabled] .btn-purple:focus, 
.btn-purple.disabled:active, 
.btn-purple[disabled]:active, 
fieldset[disabled] .btn-purple:active, 
.btn-purple.disabled.active, 
.btn-purple[disabled].active, 
fieldset[disabled] .btn-purple.active { 
  background-color: #9B59B6; 
  border-color: #9B59B6; 
} 
 
.btn-purple .badge { 
  color: #9B59B6; 
  background-color: #FFFFFF; 
}
/* btn-purple end*/


/* 必填星號在左 */
/* 好像沒有用
.required-field {
    position: relative;
}
*/
.required-label:before { 
	content: "*";
    color: red;
    display:inline;
}
.required-label:after {
	content: '';
	float: right;
}

/* 必填星號在右 */
/*
.required-label:before { 
    content: '：';
	float: right;
}
.required-label:after {
	content: "*";
    color: red;
    float: right;
}
*/




/* 表單上傳圖 start */
.form-img {
  position: fixed;
  top: 160px;
  right: 20px;
  z-index: 5000;
}

.form-qrcode {
  position: fixed;
  top: 50px;
  right: 20px;
  z-index: 5000;
}
.form-url-copy {
  position: fixed;
  top: 100px;
  right: 20px;
  z-index: 5000;
}

.form-img-fab {
  display: inline-block;
  width: 40px;
  height: 40px;
  line-height: 40px;
  border-radius: 50%;
  background-color: #006633;
  vertical-align: middle;
  text-decoration: none;
  text-align: center;
  transition: 0.2s ease-out;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
  cursor: pointer;
  color: #FFF;
}

.form-img-fab:hover {
  background-color: #009966;
  box-shadow: 0 3px 3px 0 rgba(0, 0, 0, 0.14), 0 1px 7px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -1px rgba(0, 0, 0, 0.2);
}
/* 表單上傳圖 end */

/* 表單常用語 start */
.form-comment {
  position: fixed;
  top: 220px;
  right: 20px;
  z-index: 5000;
}
.form-comment-fab {
  display: inline-block;
  width: 40px;
  height: 40px;
  line-height: 40px;
  border-radius: 50%;
  background-color: #006633;
  vertical-align: middle;
  text-decoration: none;
  text-align: center;
  transition: 0.2s ease-out;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
  cursor: pointer;
  color: #FFF;
}

.form-comment-fab:hover {
  background-color: #009966;
  box-shadow: 0 3px 3px 0 rgba(0, 0, 0, 0.14), 0 1px 7px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -1px rgba(0, 0, 0, 0.2);
}
/* 表單常用語 end */
